Summary:	Help motorically impaired users to use the mouse
Name:		mousetweaks
Version:	3.2.1
Release:	%mkrel 1
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.xz
License:	GPLv3+
Group:		Accessibility
Url:		http://live.gnome.org/Mousetweaks/Home
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-doc-utils

%description
The Mousetweaks package provides mouse accessibility enhancements for 
the GNOME desktop. These enhancements are:

1. It offers a way to perform the various clicks without using any 
hardware button.

2. It allows users to perform a right click by doing a click&hold 
of the left mousebutton. (For a left-handed mouse user, the termes 
left and right have to be inverted.) 

3. It provides an applet that the user can install on a panel. This
applet creates an area on the panel into which the pointer can 
be captured until the user releases it with a predefined button
and modifier combination.

The options can be accessed through the Accessibility tab of the
Mouse Preferences of GNOME Control Center or through command-line.

%prep
%setup -q

%build
%configure2_5x \
	--disable-dwell-click \
	--disable-pointer-capture
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_mandir}/man1/*.1*
%{_datadir}/%{name}

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Wed Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0
